> For the complete documentation index, see [llms.txt](https://docs.zingg.ai/zingg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zingg.ai/zingg/versions/enterprise-v0.7.0/explainoutput/stats/configuring-output-statistics.md).

# Configuring Output Statistics

[Zingg Enterprise Feature](#user-content-fn-1)[^1]

You can configure stats output either via JSON configuration or via the Python API. Please ensure the path/name contains the placeholder “*$ZINGG\_DYNAMIC\_STAT\_NAME*”. This placeholder will get substituted with the statistics type (SUMMARY, CLUSTER, RECORD) and written to respective locations.

### JSON configuration example

```json
{
  "outputStats" : {
       "name":"stats", 
       "format":"csv", 
       "props": {
          "location": "/tmp/zinggStats_$ZINGG_DYNAMIC_STAT_NAME",
          "delimiter": ",",
          "header":true
       }
    }
}
```

### Python configuration example

```python
from zingg import ECsvPipe

statsOutputPipe = ECsvPipe("stats", "/tmp/febrlStats_$ZINGG_DYNAMIC_STAT_NAME")
statsOutputPipe.setHeader("true")
eArgs.setOutputStats(statsOutputPipe)
```

When you execute **match** or **incrementalRun** phases with the output stats pipe, Zingg writes stats for this run under the configured location with timestamp. If the outputStats are not configured, Zingg will not write them and the run will proceed as is.

[^1]: Zingg Enterprise is the suite of proprietary products licensed by Zingg. Please refer to <https://www.zingg.ai/product/zingg-entity-resolution-compare-versions> for individual tier features.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zingg.ai/zingg/versions/enterprise-v0.7.0/explainoutput/stats/configuring-output-statistics.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
